---
search:
  tags:
    - Services
    - POST
seo:
  description: >-
    Record a service's verified image digests; refused… Reference for the POST
    /api/admin/services/{id}/image endpoint in the Athena Attack/Defence Admin
    API.
sidebar:
  label: >-
    Record a service's verified image digests; refused once the host is
    allocated
  badge: POST
title: Record a service's verified image digests; refused once the host is allocated
type: openapi-operation
---
`POST /api/admin/services/{id}/image`

**Request body** (`application/json`, required)

- `image` (string, required)
- `imageDigest` (string, required)
- `checkerImage` (string, required)
- `checkerImageDigest` (string, required)
- `pullCredentials` (object | null)
- `expectedUpdatedAt` (string<date-time>)

Request body example:

```json
{
  "image": "string",
  "imageDigest": "string",
  "checkerImage": "string",
  "checkerImageDigest": "string",
  "pullCredentials": {
    "username": "string",
    "password": "string"
  },
  "expectedUpdatedAt": "2019-08-24T14:15:22Z"
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "number": 0,
  "slug": "string",
  "name": "string",
  "description": "string",
  "image": "string",
  "imageDigest": "string",
  "checkerImage": "string",
  "checkerImageDigest": "string",
  "pullUsername": "string",
  "ports": [
    {
      "port": 0,
      "protocol": "tcp"
    }
  ],
  "checkerTimeoutSeconds": 0,
  "enabled": true,
  "position": 0,
  "sourceFileId": "string",
  "createdBy": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "pullCredentialsSet": true
}
```
